# NXP S32K3X4EVB-Q172

## Overview

The S32K3X4EVB-Q172 is an evaluation and development board for general purpose industrial and automotive applications.

Based on the 32-bit Arm® Cortex®-M7 S32K3 MCU in a 172 MaxQFP package, the S32K3X4EVB-Q172 offers dual cores configured in lockstep mode, ASIL D safety hardware, HSE security engine, OTA support, advanced connectivity and low power.

The S32K3X4EVB-Q172 offers a standard-based form factor compatible with the Arduino® UNO pin layout, providing a broad range of expansion board options for quick application prototyping and demonstration.

## Schematics

- [S32K3X4EVB-Q172 board schematic](https://www.nxp.com/design/development-boards/automotive-development-platforms/s32k-mcu-platforms/s32k3x4-q172-general-purpose-development-board:S32K3X4EVB-Q172)

## Hardware User Manual

- [S32K3X4EVB-Q172 hardware user manual](https://www.nxp.com/design/development-boards/automotive-development-platforms/s32k-mcu-platforms/s32k3x4-q172-general-purpose-development-board:S32K3X4EVB-Q172)

## CMSIS-Drivers

This board support pack contains a CMSIS-Driver for the [VIO](https://arm-software.github.io/CMSIS_5/develop/Driver/html/group__vio__interface__gr.html) interface. This is a virtual I/O abstraction for peripherals that are typically used in example projects. The **Blinky** example uses this interface to create a blinking light with the USER LED mounted on the board that can be controlled by the USER BUTTON (SW8).

Virtual Resource  | Variable       | Physical Resource on S32K3X4EVB-Q172           |
:-----------------|:---------------|:-----------------------------------------------|
vioBUTTON0        | vioSignalIn.0  | PTB19 (SW6, USER_SW1)                          |
vioBUTTON1        | vioSignalIn.1  | PTB26 (SW5, USER_SW0 disabled)                 |
vioLED0           | vioSignalOut.0 | PTA29 (RGBLED0_RED)                            |
vioLED1           | vioSignalOut.1 | PTA30 (RGBLED0_GREEN)                          |
vioLED2           | vioSignalOut.2 | PTA31 (RGBLED0_BLUE)                           |

Refer to the [schematics](#schematics) for board connection information.
